Last Comment Bug 743618 - onchange is not fired when container has "overflow" altered by ":hover" rule
: onchange is not fired when container has "overflow" altered by ":hover" rule
Status: RESOLVED FIXED
[fixed by bug 722599]
: regression
Product: Core
Classification: Components
Component: Event Handling (show other bugs)
: Trunk
: x86 All
: -- normal (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
: Andrew Overholt [:overholt]
Mentors:
Depends on: 722599
Blocks: 265047
  Show dependency treegraph
 
Reported: 2012-04-09 00:11 PDT by gmice
Modified: 2012-05-10 11:18 PDT (History)
6 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
bug.html (269 bytes, text/html)
2012-04-09 00:11 PDT, gmice
no flags Details

Description gmice 2012-04-09 00:11:51 PDT
Created attachment 613242 [details]
bug.html

User Agent: Mozilla/5.0 (Windows NT 6.1; rv:11.0) Gecko/20100101 Firefox/11.0
Build ID: 20120312181643

Steps to reproduce:

I have an <input> element wrapped by a <div> element. There're 2 css rules applied to the <div> element:
div { overflow: hidden; }
div:hover { overflow: visible; }

Steps:
1. Click the <input> element, keeping mouse cursor hover on input
2. Type something, do not enter
3. Move mouse cursor to anywhere blank, click

onBlur event from <input> element is fired but onChange event is missing.

Another interesting behaviour is, after clicking the <input> element, move out mouse cursor while leaving input cursor in <input>, type something and then click outside. Both onBlur and onChange event are fired.


Actual results:

onChange event is missing.


Expected results:

onChange event is fired.
Comment 2 :Ehsan Akhgari 2012-04-09 07:23:09 PDT
This happens because the change event is fired by layout, so reframing with careful timing will cause it not to be fired.  I think the right fix here is to make the event be dispatched by content instead of layout.  Mounir, are you interested in doing that?  :-)
Comment 3 Mounir Lamouri (:mounir) 2012-04-10 02:15:32 PDT
Bug 722599 is about making the change event fired by the content. There is someone currently working on that. There was no activity in the bug recently but he told me on IRC he will be back working on it.

Note You need to log in before you can comment on or make changes to this bug.